Package org.springframework.batch.core

# Enum Class JobParameter.ParameterType

java.lang.Object
java.lang.Enum<JobParameter.ParameterType>
org.springframework.batch.core.JobParameter.ParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<JobParameter.ParameterType>`, `Constable`

Enclosing class:
  JobParameter

public static enum JobParameter.ParameterType extends Enum<JobParameter.ParameterType>
Enumeration representing the type of a JobParameter.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATE`
  `DOUBLE`
  `LONG`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobParameter.ParameterType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JobParameter.ParameterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final JobParameter.ParameterType STRING

  - ### DATE

    public static final JobParameter.ParameterType DATE

  - ### LONG

    public static final JobParameter.ParameterType LONG

  - ### DOUBLE

    public static final JobParameter.ParameterType DOUBLE

- ## Method Details

  - ### values

    public static JobParameter.ParameterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JobParameter.ParameterType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null